## LassoIdWsf2PsObject LassoIdWsf2PsObject — <ps:Object> |

## Functions

LassoIdWsf2PsObject * | lasso_idwsf2_ps_object_new ()

## Types and Values

struct | LassoIdWsf2PsObject

## Description

Figure 218. Schema fragment for ps:Object

    <xs:complexType name="ObjectType">
      <xs:sequence>
        <xs:element ref="ObjectID" minOccurs="0"/>
        <xs:element name="DisplayName" type="LocalizedDisplayNameType" minOccurs="1"
                maxOccurs="unbounded"/>
        <xs:element name="Tag" type="TagType" minOccurs="0"/>
        <xs:element ref="Object" minOccurs="0" maxOccurs="unbounded"/>
        <xs:element name="ObjectRef" type="ObjectIDType" minOccurs="0" maxOccurs="unbounded"/>
      </xs:sequence>
      <xs:attribute name="NodeType" type="xs:anyURI" use="required"/>
      <xs:attribute name="CreatedDateTime" type="xs:dateTime" use="optional"/>
      <xs:attribute name="ModifiedDateTime" type="xs:dateTime" use="optional"/>
    </xs:complexType>

## Functions

### lasso_idwsf2_ps_object_new ()

    LassoIdWsf2PsObject *
    lasso_idwsf2_ps_object_new (void);

Creates a new LassoIdWsf2PsObject object.

#### Returns

a newly created LassoIdWsf2PsObject object

## Types and Values

### struct LassoIdWsf2PsObject

    struct LassoIdWsf2PsObject {
    	LassoNode parent;

    	/* elements */
    	/* XXX */ void *ObjectID;
    	GList *DisplayName; /* of LassoNode */
    	/* XXX */ void *Tag;
    	GList *Object; /* of LassoNode */
    	GList *ObjectRef; /* of LassoNode */
    	/* attributes */
    	char *NodeType;
    	char *CreatedDateTime;
    	char *ModifiedDateTime;
    };